import { forkJoin } from 'rxjs';
import { map } from 'rxjs/operators';

//@dynamic
class MultiWebpackLoader {
    /**
     * Get translation.
     *
     * @author Federico Gambardella<fedega86@libero.it>
     * @returns
     */
    static getTranslation(array) {
        return forkJoin(array).pipe(map((data) => this._mergeJsonObject(data)));
    }
    /**
     * Merge json object.
     *
     * @author Federico Gambardella<fedega86@libero.it>
     * @param jsonArray
     * @returns
     */
    static _mergeJsonObject(jsonArray) {
        let jsonTranslations = [];
        for (let json of jsonArray) {
            jsonTranslations.push(json.default);
        }
        jsonArray = jsonTranslations;
        return Object.assign({}, ...jsonArray);
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { MultiWebpackLoader };
//# sourceMappingURL=ngx-translate-multi-webpack-loader.mjs.map
